/*******************(C) COPYRIGHT 2024 Masses-Chip ******************************
*Project Name        : M9P6362_IO_Interrupt.Prj
* File Name          : IO_Interrupt_Work.C
* Author             : MASSES CHIP
* Version            : V1.03
* Date               : 2025/04/08
* Web    			 : www.masses-chip.com
* FAE                : Luo
*  				 	 : QQ：411680975
********************************************************************************
*
*Option:16T,WDT-Disable,RST-IO,BOR 2.4V 
*说明：本范例为若产生IOB0中断，则唤醒休眠，翻转IOB1
******************************************************************************/
//===============================================================================
//*******************************头文件和调用申明********************************
//===============================================================================
//用户不可更改
#include "COMMON.H"
//===============================================================================
//*********************************端口变化中断主函数****************************
//IO变化中断产生时翻转IOB1口
//进休眠
//===============================================================================
void IO_Interrupt_Work(void)					  		//程序主函数
{
	if(b_IO_Interrupt_Flag)
	{
		b_IO_Interrupt_Flag = 0;
		IOB1 = ~IOB1;
	}
	STOP = 1;
	NOP();
	NOP();
	NOP();
}

//===============================================================================
//**********************************端口中断处理函数*****************************
//IO变化中断，进一次中断，标志位置高
//===============================================================================
void IO_Interrupt(void)
{
	if(IOBCHIF)
	{
		IOBCHIF = 0;
		b_IO_Interrupt_Flag = 1;
	}
}
//===============================================================================
//*********************************IOB中断初始化*********************************
//IOB0设置为输入下拉，开启IOB0变化中断
//开启芯片休眠模式
//===============================================================================
void IOB_Interrupt_INIT(void)
{
//1、设置IO口
	OEB0 = 0;
	PDB0 = 1;
	ANSB = 0;
//2、开启IOB中断
	IOBICR = 0x01;
	IOBCHIE = 1;
	IOBCHIF = 0;
	IOBCHIP = 0;			//设置高优先级
	GIEH = 1;
}
/*********************************END OF FILE************************************/