/*******************(C) COPYRIGHT 2024 Masses-Chip ******************************
*Project Name        : M9P6362_PWM1.Prj
* File Name          : PWM1_Work.C
* Author             : MASSES CHIP
* Version            : V1.03
* Date               : 2025/04/08
;* Web    			 : www.masses-chip.com
;* FAE               : Luo
;  				 	 : QQ：411680975
********************************************************************************
*
*Option:16T,WDT-Enable-350ms,RST-IO,BOR 2.4V 
*说明：本范例使用PWM1输出1KHz占空比为50%的方波,前后死区均为15us
*方波循环开启100ms,关闭100ms
*PWM10复用口为B0
*PWM11复用口为B1
******************************************************************************/
//===============================================================================
//*******************************头文件和调用申明********************************
//===============================================================================
//用户不可更改
#include "COMMON.H"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void PWM1_Work(void)
{
	PWM10OE = 1;
	PWM11OE = 1;
	Delay_100ms();
	PWM10OE = 0;
	PWM11OE = 0;
	Delay_100ms();
}

//===============================================================================
//*********************************延时100ms************************************
//延时100ms
//===============================================================================
void Delay_100ms(void)
{
	u8 R_Delay_Count;
	u8 R_Delay_Count_1;
	for(R_Delay_Count_1=100;R_Delay_Count_1>0;R_Delay_Count_1--)
	{
		for(R_Delay_Count=250;R_Delay_Count>0;R_Delay_Count--);
	}
}
//===============================================================================
//*********************************PWM1初始化************************************
//TC1设置：16位模式，高频系统时钟，1:32分频
//PWM1配置，互补输出，前后死区均为15us
//===============================================================================
void PWM1_INIT(void)
{
//1、PWM1输出口设置
//PWM10复用口为B0
//PWM10复用口为B1
	ANSB0 = 0;
	ANSB1 = 0;
	OEB0 = 1;
	OEB1 = 1;
	MPPWM10 = 0x10;
	MPPWM11 = 0x11;
//2、TC1设置	
	T1CR = 0x0D;
	TC1CL = 0;
	TC1CH = 0;
	TC1PRL = 0xE7;
	TC1PRH = 0x03;
	TC1EN = 1;
//3、PWM1设置 
	PWM1CR = 0x92;	
	PWM10DH = 0X01;
	PWM10DL = 0xF4;
//4、死区设置
	PWM11DH = 0x0F;
	PWM11DL = 0x0F;
}
/*********************************END OF FILE************************************/